# DocumentScanningFlow class

Configuration of the document scanner screen.

## Constructors

DocumentScanningFlow({String version = "1.0", String screen = "DocumentScanner", Palette? palette, DocumentScannerTextLocalization? localization, DocumentFlowAppearanceConfiguration? appearance, DocumentScannerOutputSettings? outputSettings, DocumentScannerScreens? screens, String? documentUuid = null, bool cleanScanningSession = true})
DocumentScanningFlow.fromJson(Map<String, dynamic> json)
  factory

## Properties

appearance ↔ DocumentFlowAppearanceConfiguration
  Configuration of the general appearance.
  getter/setter pair
cleanScanningSession ↔ bool
  Clean the existing pages from the scanning session. Default is true
  getter/setter pair
documentUuid ↔ String?
  The UUID of the existing document to be edited.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
localization ↔ DocumentScannerTextLocalization
  Configuration of all the strings for the document scanner screen.
  getter/setter pair
outputSettings ↔ DocumentScannerOutputSettings
  Configuration of the output settings.
  getter/setter pair
palette ↔ Palette
  Define the screen's base color values from which other colors are derived.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screen ↔ String
  The configuration object should be applied for this screen. Default is "DocumentScanner"
  getter/setter pair
screens ↔ DocumentScannerScreens
  Configuration of the document scanner sub-screens.
  getter/setter pair
version ↔ String
  Version number of the configuration object. Default is "1.0"
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited